WordPress 4.2.4 Security Release: WP Engine Updating Now


Incident is resolved

A security update to close several vulnerabilities in WordPress core has been released. You may read more about this update on the WP Engine blog.

As your Managed WordPress provider, we are already busy updating your sites to the most secure version, so sit back and relax.

Your WordPress site will be updated to the appropriate secure version in your current branch. If you are running a version below 4.0, you will be updated to 4.0.7.

Once your site has been upgraded, you will receive an email. For more information on our WordPress upgrade process you can review our Support Garage article.

We’re proud to partner with you to keep your sites safe and secure.